<?xml version="1.0" encoding="UTF-8"?>
<!--
* The contents of this file are subject to the terms of the Common Development and
* Distribution License (the License). You may not use this file except in compliance with the
* License.
*
* You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
* specific language governing permission and limitations under the License.
*
* When distributing Covered Software, include this CDDL Header Notice in each file and include
* the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
* Header, with the fields enclosed by brackets [] replaced by your own identifying
* information: "Portions copyright [year] [name of copyright owner]".
*
* Copyright 2013-2016 ForgeRock AS.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.openidentityplatform.commons.authn-filter</groupId>
        <artifactId>jaspi-modules</artifactId>
        <version>2.0.18-SNAPSHOT</version>
    </parent>
	<groupId>org.openidentityplatform.commons.authn-filter.jaspi-modules</groupId>
    <artifactId>jwt-session-module</artifactId>
    <packaging>bundle</packaging>

    <name>${project.groupId}.${project.artifactId}</name>
    <description>Open Identity Platform CommunityJASPI (JSR-196) JWT Session Authentication Module</description>

    <build><finalName>${project.groupId}.${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>org.openidentityplatform.commons.authn-filter</groupId>
            <artifactId>jaspi-runtime</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.commons</groupId>
            <artifactId>json-web-token</artifactId>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.commons</groupId>
            <artifactId>security</artifactId>
        </dependency>

        <!-- Included only to allow building the Cookie class. Do not use APIs not present in 2.5 -->
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>javax.servlet-api</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.glassfish</groupId>
            <artifactId>javax.security.auth.message</artifactId>
        </dependency>
        
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-all</artifactId>
            <version>1.10.19</version>
            <scope>test</scope>
        </dependency>
    </dependencies>
</project>
